php5 und oci8.dll

Alles, was PHP betrifft, kann hier besprochen werden.

php5 und oci8.dll

Postby JJPhoenix » 14. April 2008 10:18

Hallo!
Ich versuche seit Tagen die oci8.dll als extension in php 5 zu laden(PHP Version 5.2.5)

Habe die entsprechende Zeile in der php.ini aktiviert und den Pfad zu den extensions gesetzt:
extension_dir = "c:/server/php5/ext"


Die richtige php.ini verwende ich auch, da z.B. die gd-libary auch geladen wird, wenn ich sie aktiviere. Habe die 9i als DB-Server drauf.

Unter php4 läuft das auch alles ohne Probleme.
Die error.log des Apache schreibt folgende Fehlermeldung:

PHP Warning: PHP Startup: Unable to load dynamic library 'c:/server/php5/ext\\php_oci8.dll' - Die angegebene Prozedur wurde nicht gefunden.\r\n in Unknown on line 0

habe auch schon diverse dll´s hin und herkopiert, doch komme nicht weiter. Es gibt in der php.info keinen oci8-Eintrag, wie es im PHP4 war.
Ich brauche diese Erweiterung aber.
Bin jetzt am Ende meines Lateins, hat jemand noch einen Rat für mich?

Danke
JJPhoenix
 
Posts: 6
Joined: 17. October 2007 11:52

Re: php5 und oci8.dll

Postby james007 » 24. May 2008 17:18

JJPhoenix wrote:Hallo!
Ich versuche seit Tagen die oci8.dll als extension in php 5 zu laden(PHP Version 5.2.5)
(...)

Bin jetzt am Ende meines Lateins, hat jemand noch einen Rat für mich?

Danke


Soweit ich weis reicht es nicht aus nur die oci8.dll als Modul zu laden um Zugriff auf Oracle zu bekommen.
Du musst auch zwingend den Oracle Client installieren sonst wird das nix.

Oracle gestattet nämlich keinen direkten Zugriff auf die Datenbank wie es MySQL gewährt.
Der Zugriff erfolgt hier etwas umständlicher über den installierten Client.
james007
 
Posts: 16
Joined: 16. June 2006 17:38


Return to PHP

Who is online

Users browsing this forum: No registered users and 4 guests